org.apache.xalan.trace

## Class TracerEvent

- java.lang.Object
- - org.apache.xalan.trace.TracerEvent

- All Implemented Interfaces:
    java.util.EventListener

      public class TracerEvent
      extends java.lang.Object
      implements java.util.EventListener

  Parent class of events generated for tracing the progress of the XSL processor.
  Usage:
    **For advanced use only**

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `QName` | `m_mode` The current mode.
    `TransformerImpl` | `m_processor` The XSLT processor instance.
    `Node` | `m_sourceNode` The current context node.
    `ElemTemplateElement` | `m_styleNode` The node in the style tree where the event occurs.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TracerEvent(TransformerImpl processor, Node sourceNode, QName mode, ElemTemplateElement styleNode)` Create an event originating at the given node of the style tree.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `printNode(Node n)` Returns a string representation of the node.
    `static java.lang.String` | `printNodeList(NodeList l)` Returns a string representation of the node list.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_styleNode

          public final ElemTemplateElement m_styleNode

      The node in the style tree where the event occurs.

    - #### m_processor

          public final TransformerImpl m_processor

      The XSLT processor instance.

    - #### m_sourceNode

          public final Node m_sourceNode

      The current context node.

    - #### m_mode

          public final QName m_mode

      The current mode.

  - ### Constructor Detail

    - #### TracerEvent

          public TracerEvent(TransformerImpl processor,
                     Node sourceNode,
                     QName mode,
                     ElemTemplateElement styleNode)

      Create an event originating at the given node of the style tree.
      Parameters:
        `processor` - The XSLT TransformerFactory.
        `sourceNode` - The current context node.
        `mode` - The current mode.
        `styleNode` - The stylesheet element that is executing.

  - ### Method Detail

    - #### printNode

          public static java.lang.String printNode(Node n)

      Returns a string representation of the node. The string returned for elements will contain the element name and any attributes enclosed in angle brackets. The string returned for attributes will be of form, "name=value."
      Parameters:
        `n` - any DOM node. Must not be null.
      Returns:
        a string representation of the given node.

    - #### printNodeList

          public static java.lang.String printNodeList(NodeList l)

      Returns a string representation of the node list. The string will contain the list of nodes inside square braces. Elements will contain the element name and any attributes enclosed in angle brackets. Attributes will be of form, "name=value."
      Parameters:
        `l` - any DOM node list. Must not be null.
      Returns:
        a string representation of the given node list.

Copyright © 2014 Apache XML Project. All Rights Reserved.